package com.xjrsoft.module.material.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.material.dto.AddMaterialTaskAssignDto;
import com.xjrsoft.module.material.dto.MaterialTaskAssignApprovedDto;
import com.xjrsoft.module.material.entity.MaterialTaskAssign;

import java.util.List;

public interface IMaterialTaskAssignService extends MPJBaseService<MaterialTaskAssign> {
    Boolean add(AddMaterialTaskAssignDto addMaterialTaskAssignDto);
    Boolean delete(List<Long> ids);
    Boolean approved(List<MaterialTaskAssignApprovedDto> dtos);
}
